Package org.bukkit.block.data.type

# Interface CaveVinesPlant

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `CaveVines`

public interface CaveVinesPlant extends BlockData
'berries' indicates whether the block has berries.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isBerries()`
Gets the value of the 'berries' property.
`void`
`setBerries(boolean berries)`
Sets the value of the 'berries' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

## Method Details

### isBerries

boolean isBerries()
Gets the value of the 'berries' property.

Returns:
  the 'berries' value

### setBerries

void setBerries(boolean berries)
Sets the value of the 'berries' property.

Parameters:
  `berries` - the new 'berries' value